---
title: "Device"
source: /gcxone/api/device
locale: en
updated: 2026-09-04
---
Operations on device resources. 8 endpoints, each relative to `https://api.nxgen.cloud/api/v1` and authenticated as described under [Authentication](/gcxone/api/authentication).

## POST /device/

Create new Device

### Request body

Add a Device

```json
{
  "payload": [
    {
      "id": "string",
      "status": "string",
      "armstate": "string",
      "sensorType": "string",
      "commercialName": "string",
      "catalogName": "string",
      "macAddress": "string",
      "deviceType": "string",
      "firmwareVersion": "string",
      "hardwareVersion": "string",
      "manafacturer": "string",
      "modelNo": "string",
      "srNo": "string",
      "specification": "string",
      "description": "string",
      "tags": [
        "string"
      ],
      "eventTags": [
        "string"
      ],
      "photos": [
        "string"
      ],
      "latitude": "string",
      "longitude": "string",
      "userName": "string (required)",
      "password": "string (required)",
      "ipAddressOrHostName": "string (required)",
      "controlPort": "string (required)",
      "RTSPPort": "string (required)",
      "RTSPUrl": "string",
      "type": "string (required)",
      "subType": "string",
      "catalogId": "string",
      "siteId": "string",
      "eventRetentionTime": "string",
      "sitePulseConfiguration": "boolean",
      "pulseConfigurationTime": "object",
      "configureHeatmapMask": "boolean",
      "peirodicHealthCheck": "boolean",
      "jsonSchema": "object",
      "associatedSiteId": "string",
      "cameraCount": "number",
      "cameraList": [
        {
          "name": "…",
          "enabled": "…",
          "adproSourceUrl": "…",
          "channelId": "…"
        }
      ],
      "parentAccountId": "string",
      "siteParent": "string",
      "customerId": "string",
      "serviceProviderId": "string",
      "siteEventProviderId": "string",
      "customerEventProviderId": "string",
      "serviceProvidersEventProviderId": "string",
      "assetStatus": "string",
      "uniqueId": "string",
      "momentsTimeZoneCountryName": "String",
      "profile": {
        "photos": [
          "…"
        ]
      },
      "geoCordinates": {
        "latitude": "string",
        "longitude": "string"
      }
    }
  ]
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 400 | Invalid input |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |

## GET /device/arming/info?deviceId={deviceId}&action=info

To get Device arm information

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| deviceId | query | string | yes |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## PUT /device/arming?deviceId={deviceId}&action={action}

Update arm/disarm by deviceID

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| deviceId | query | string | yes |  |
| action | query | boolean | yes |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## POST /device/filter

Gets device list with filtering, sorting and pagination. It allows hierarchical level searching. It can be filtered using specified hierarchy or it uses the logged in user hierarchy. This gives the option to get additional entity fields in the response. Also provides configuration meta data about entity.

### Request body

Device filtering and sorting

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success | object |
| 204 | No Content |  |
| 400 | Invalid input |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |

Example `200` response:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Device",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "id": "10eb916e67884c87a0833e494bef7e69",
      "commercialName": "Device",
      "siteParent": "Axxon Site",
      "enableAudio": "Enabled",
      "parentAccountId": "f2b51c0f62c64d15a7b1acc5ea13082d",
      "assetStatus": "active",
      "uniqueId": "10eb916e67884c87a0833e494bef7e69",
      "type": "Axxon",
      "dateTime": 1655707624747,
      "customerName": "Axxon customer"
    },
    {
      "id": "27b050033c2d48769b9fbaa83449cc67",
      "commercialName": "Device",
      "siteParent": "Site test",
      "enableAudio": "Enabled",
      "parentAccountId": "c772ac8dd22f4a9ab8241cb7db87a65e",
      "assetStatus": "active",
      "uniqueId": "27b050033c2d48769b9fbaa83449cc67",
      "type": "EdgeComputer",
      "dateTime": 1655274173376,
      "customerName": "OWT TEST",
      "srNo": "eqrrw"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## PUT /device/isolate?deviceId={deviceId}&enable={enable}

Update isolation by device id

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| deviceId | query | string | yes |  |
| enable | query | boolean | yes |  |
| isolateStartTime | query | number | no |  |
| duration | query | number | no |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## GET /device/{id}

Get by device id

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## PUT /device/{id}

Update an existing device

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Request body

```json
{
  "payload": {
    "id": "string",
    "status": "string",
    "armstate": "string",
    "sensorType": "string",
    "commercialName": "string",
    "catalogName": "string",
    "macAddress": "string",
    "deviceType": "string",
    "firmwareVersion": "string",
    "hardwareVersion": "string",
    "manafacturer": "string",
    "modelNo": "string",
    "srNo": "string",
    "specification": "string",
    "description": "string",
    "latitude": "string",
    "longitude": "string",
    "userName": "string (required)",
    "password": "string (required)",
    "ipAddressOrHostName": "string (required)",
    "controlPort": "string (required)",
    "RTSPPort": "string (required)",
    "RTSPUrl": "string",
    "type": "string (required)",
    "subType": "string",
    "catalogId": "string",
    "siteId": "string",
    "eventRetentionTime": "string",
    "sitePulseConfiguration": "boolean",
    "pulseConfigurationTime": "object",
    "configureHeatmapMask": "boolean",
    "peirodicHealthCheck": "boolean",
    "jsonSchema": "object",
    "associatedSiteId": "string",
    "cameraCount": "number",
    "cameraList": [
      {
        "name": "string",
        "enabled": "number",
        "adproSourceUrl": "string",
        "channelId": "number"
      }
    ],
    "parentAccountId": "string",
    "siteParent": "string",
    "customerId": "string",
    "serviceProviderId": "string",
    "siteEventProviderId": "string",
    "customerEventProviderId": "string",
    "serviceProvidersEventProviderId": "string",
    "assetStatus": "string",
    "uniqueId": "string",
    "profile": {
      "business": [
        "string"
      ],
      "photos": [
        "string"
      ],
      "tags": [
        "string"
      ],
      "followers": [
        "string"
      ]
    },
    "geoCordinates": {
      "latitude": "string",
      "longitude": "string",
      "plusCode": "string",
      "what3Words": "string"
    },
    "commisioningStatus": "object",
    "syncStatus": "boolean",
    "jsonSchemaResult": "object",
    "momentsTimeZoneCountryName": "String"
  }
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 400 | Invalid input |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |

## DELETE /device/{id}

Delete a device by id

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 400 | Invalid input |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |